# Ballots Ballots ## Creates a new ballot record that does not already exist. - [POST /ballots/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/createballot.md): This method will auto-generate an ID and create a new ballot. If an ID is specified for the ballot, an error will be thrown. ## Execute Batch Operations - [POST /ballots/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a ballot from the system by its ID. - [DELETE /ballots/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/deleteballot.md): This method will delete a ballot with the specified ID. ## Returns a ballot from the system by its ID. - [GET /ballots/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/getballot.md): This method will look up a ballot by the specified ID and return it back. ## Partially updates a ballot with the specified ID. - [PATCH /ballots/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/patchballot.md): This method will patch an existing ballot with the specified ID, using the HTTP PATCH specification. ## Updates a ballot with the specified ID. - [PUT /ballots/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/updateballot.md): This method will update an existing ballot with the specified ID.